Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.model
Interface IRequirementTable

    com.change_vision.jude.api.inf.model.IRequirementTable

All Superinterfaces:
  IDiagram, IElement, IEntity, IHyperlinkOwner, INamedElement

All Implemented Interfaces:
  IDiagram, IElement, IEntity, IHyperlinkOwner, INamedElement

    public IRequirementTable

extends IDiagram

Interface for Requirement Table.

Field Summary

Fields inherited from class com.change_vision.jude.api.inf.model.INamedElement
`PACKAGE_VISIBILITY, PRIVATE_VISIBILITY, PROTECTED_VISIBILITY, PUBLIC_VISIBILITY`

Method Summary
`abstract int` | `getHierarchyValue()` Get specified hierarchies.
`abstract boolean` | `isAllHierarchy()` Check if the element should be displayed requirements in all hierarchies.
`abstract boolean` | `isHierarchyRange()` Check if the element should be displayed requirements in specified hierarchies under project.
`abstract boolean` | `isIdVisible()` Check if ID should be shown.
`abstract boolean` | `isNameVisible()` Check if Name should be shown.
`abstract boolean` | `isParentVisible()` Check if the top parent should be displayed if the requirement table is created under a requirement.
`abstract boolean` | `isSubpackageRequirementsVisible()` Check if the element should be displayed requirements under sub packages.
`abstract boolean` | `isTextVisible()` Check if Text should be shown.

Methods inherited from class com.change_vision.jude.api.inf.model.IDiagram
`exportImage, getBoundRect, getPresentations, getProperties, getProperty, getText, setProperties, setProperty`

Methods inherited from class com.change_vision.jude.api.inf.model.INamedElement
`getAlias1, getAlias2, getClientDependencies, getClientRealizations, getClientUsages, getConstraints, getDefinition, getDiagrams, getFullName, getFullNamespace, getName, getSupplierDependencies, getSupplierRealizations, getSupplierUsages, isPackageVisibility, isPrivateVisibility, isProtectedVisibility, isPublicVisibility, setAlias1, setAlias2, setDefinition, setName, setVisibility`

Methods inherited from class com.change_vision.jude.api.inf.model.IElement
`addStereotype, getComments, getContainer, getContainers, getId, getOwner, getPresentations, getStereotypes, getTaggedValues, getTypeModifier, hasStereotype, hasStereotype, isReadOnly, removeStereotype, setTypeModifier`

Methods inherited from class com.change_vision.jude.api.inf.model.IHyperlinkOwner
`createElementHyperlink, createFileHyperlink, createURLHyperlink, deleteHyperlink, getHyperlinks`

Method Detail

### isIdVisible

    abstract boolean isIdVisible()

  Check if ID should be shown.

  Returns:
    true ID should be shown / false ID shouldn't be shown

### isNameVisible

    abstract boolean isNameVisible()

  Check if Name should be shown.

  Returns:
    true Name should be shown / false Name shouldn't be shown

### isTextVisible

    abstract boolean isTextVisible()

  Check if Text should be shown.

  Returns:
    true Text should be shown / false Text shouldn't be shown

### isParentVisible

    abstract boolean isParentVisible()

  Check if the top parent should be displayed if the requirement table is created under a requirement.

  Returns:
    true The top parent should be displayed / false The top parent shouldn't be displayed

### isAllHierarchy

    abstract boolean isAllHierarchy()

  Check if the element should be displayed requirements in all hierarchies.

  Returns:
    true The element should be displayed requirements in all hierarchies / false The element shouldn't be displayed requirements in all hierarchies

### isHierarchyRange

    abstract boolean isHierarchyRange()

  Check if the element should be displayed requirements in specified hierarchies under project.

  Returns:
    true The element should be displayed requirements in specified hierarchies under project / false The element shouldn't be displayed requirements in specified hierarchies under project

### isSubpackageRequirementsVisible

    abstract boolean isSubpackageRequirementsVisible()

  Check if the element should be displayed requirements under sub packages.

  Returns:
    true The element should be displayed requirements under sub packages / false The element should't be displayed requirements under sub packages

### getHierarchyValue

    abstract int getHierarchyValue()

  Get specified hierarchies.

  Returns:
    specified hierarchies.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD